## faceoverlay faceoverlay |

## Properties

gfloat | h | Read / Write
gchar * | location | Read / Write
gfloat | w | Read / Write
gfloat | x | Read / Write
gfloat | y | Read / Write

## Types and Values

struct | GstFaceOverlay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstFaceOverlay

## Implemented Interfaces

GstFaceOverlay implements GstChildProxy.

## Description

Overlays a SVG image over a detected face in a video stream. x, y, w, and h properties are optional, and change the image position and size relative to the detected face position and size.

### Example launch line

    1
    gst-launch-1.0 autovideosrc ! videoconvert ! faceoverlay location=/path/to/gnome-video-effects/pixmaps/bow.svg x=0.5 y=0.5 w=0.7 h=0.7 ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | faceoverlay
author | Laura Lucas Alday <lauralucas@gmail.com>
class | Filter/Editor/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGB }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRA }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstFaceOverlay

    struct GstFaceOverlay;

## Property Details

### The `“h”` property

      “h”                        gfloat

Specify image height relative to face height.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“location”` property

      “location”                 gchar *

Location of SVG file to use for face overlay.

Flags: Read / Write

Default value: ""

### The `“w”` property

      “w”                        gfloat

Specify image width relative to face width.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“x”` property

      “x”                        gfloat

Specify image x relative to detected face x.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gfloat

Specify image y relative to detected face y.

Flags: Read / Write

Default value: 0